petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSTrajectoryRegister

Adds a way of storing trajectories to the TS package

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryRegister(const char sname[],PetscErrorCode (*function)(TSTrajectory,TS))

Not Collective

### Input Parameters

| name | - the name of a new user-defined creation routine
| create_func | - the creation routine itself

### Notes

TSTrajectoryRegister() may be called multiple times to add several user-defined tses.

### Keywords

TS, trajectory, timestep, register

### See Also

TSTrajectoryRegisterAll()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages